Subject: Re: [PATCH] powerpc: enable heap randomization for linkstations

From: Scott Wood <[email-masked]>
Date: Tue, 21 Oct 2008 10:32:33 -0500

Guennadi Liakhovetski wrote:
> static __initdata struct of_device_id storcenter_of_bus[] = {
>         { .name = "soc", },
>         {},
> };

Add .compatible = "simple-bus" to the list.

> static int __init storcenter_device_probe(void)
> {
>         of_platform_bus_probe(NULL, storcenter_of_bus, NULL);
>         return 0;
> }
> machine_device_initcall(storcenter, storcenter_device_probe);
> 
> ? No, linkstation doesn't do that. Somehow, as this API has been 
> introduced, linkstation has been left aside:-(

This is almost as much of a FAQ as interrupt mapping...  I'm wondering 
if we should have stuck with a default list, and added a call to 
of_platform_bus_probe by common code that could be overridden by some 
board flag if really necessary, rather than have a bunch of 
duplication-with-mutation in the platform files.

-Scott